Skip to main content
PUT
/
volumes
/
{id}
/
grants
Update grants by Volume ID
curl --request PUT \
  --url https://mycluster.domino.tech/volumes/{id}/grants \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "targetId": "<string>"
  }
]
'
{
  "isOrganization": true,
  "targetId": "<string>",
  "targetName": "<string>"
}

Path Parameters

id
string
required

ID of volume to update grants

Body

application/json

New grants to replace current volume grants

targetId
string
required
targetRole
enum<string>
required
Available options:
VolumeOwner,
VolumeEditor,
VolumeReader,
Service

Response

OK

isOrganization
boolean
required
targetId
string
required

References Mongo user ID (including organizations)

targetName
string
required
targetRole
enum<string>
required
Available options:
VolumeOwner,
VolumeEditor,
VolumeReader,
Service